# $Revision: 1.10 $, $Date: 2012/01/11 22:37:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "./Build test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Dispatch-Config
Summary:	Log::Dispatch::Config - Log4j for Perl
Summary(pl.UTF-8):	Log::Dispatch::Config - Log4j dla Perla
Name:		perl-Log-Dispatch-Config
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ac6f91b838743adb3a47cb09bf8defe5
URL:		http://search.cpan.org/dist/Log-Dispatch-Config/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-AppConfig >= 1.52
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-Log-Dispatch >= 2.00
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log::Dispatch::Config is a subclass of Log::Dispatch and provides a
way to configure Log::Dispatch object with configuration file
(default, in AppConfig format). I mean, this is log4j for Perl, not
with all API compatibility though.

%description -l pl.UTF-8
Log::Dispatch::Config jest to podklasa Log::Dispatch udostępniająca
metodę konfiguracji obiektu Log::Dispatch za pomocą pliku
konfiguracyjnego (domyślnie w formacie AppConfig). Oznacza to, że jest
to log4j dla Perla, nie koniecznie zgodne ze wszystkimi API.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Log/Dispatch/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Dispatch-Config.spec,v $
Revision 1.10  2012/01/11 22:37:54  zbyniu
- up to 1.04

Revision 1.9  2007/12/24 18:26:04  qboosh
- generic URL

Revision 1.8  2007-12-24 02:37:19  zbyniu
- up to 1.02

Revision 1.7  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:31  paladine
- formatting

Revision 1.4  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.2  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.1  2004/04/25 12:17:24  ankry
- initial
